Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem

From: Orkun BALCI <[email-masked]>
Date: Thu, 28 Jan 2016 01:08:14 +0200

Hello Again Mihai,

It says, it exist :/i18n/x2goclient_de_DE, however, it doesnt exist
:/i18n/x2goclient_tr_TR.UTF_8 (and same for qt_de_DE and qt_tr_TR).

When I run

LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8
x2goclient --debug

it is translated into a Danish or Nordish language.

When I look at the source, I cannot see qt_tr.qm file, however I can see
qt_de, qt_da files. Maybe it is not compiled with "lrelease" during "make"
process.

Best Regards,
Orkun BALCI

On Thu, Jan 28, 2016 at 12:42 AM, Mihai Moldovan <[email-masked]> wrote:

> On 27.01.2016 11:26 PM, Orkun BALCI wrote:
> > In the code and in the error it exactly seeks for x2goclient_tr_tr (or
> x2goclient_tr_TR depending on version) file. However, when I read the link
> you sent, I got that there can be another wrong character in the name. In
> this link it says x2goclient.tr_TR or x2goclient.tr <http://x2goclient.tr>
> are the correct front names of it. So, there can be an underscore or dot
> character problem.
>
> If you use
>
> LC_ALL=de_DE.utf8 LANG=de_DE.utf8 LANGUAGE=de_DE.utf8 x2goclient --debug
>
> you'll see that the client starts up in German. So the algorithm in
> x2goclient is working as intended - at least for some translations.
>
> Now, there is another bug report with #953 and your report is actually a
> duplicate of this.
>
> LC_ALL=nb_NO.utf8 LANG=nb_NO.utf8 LANGUAGE=nb_NO.utf8:da_DK.utf8
> x2goclient --debug
>
> will exactly replicate the behavior described in the other bug report -
> loading the fallback Danish translation instead of the (equally existing)
> Norwegian one.
>
> Just like for the Norwegian translation, the Turkish translation fails to
> load. I suspect it's not a code problem, but something else. The issue is
> reproducible on OS X, too.
>
> Try
>
> LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8
> x2goclient --debug
>
> and guess what language will be loaded...
>
>
> I have to investigate this.
>
>
>
> Mihai
>
>
>